# Uses of Class
org.apache.lucene.util.packed.DirectMonotonicWriter

Packages that use DirectMonotonicWriter
Package
Description
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of DirectMonotonicWriter in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return DirectMonotonicWriter
  Modifier and Type
  Method
  Description
  `static DirectMonotonicWriter`
  DirectMonotonicWriter.`getInstance(IndexOutput metaOut, IndexOutput dataOut, long numValues, int blockShift)`
  Returns an instance suitable for encoding `numValues` into monotonic blocks of 2`blockShift` values.